Index: console/src/resources/webconsole.war/AOPConstructorChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPConstructorChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPConstructorChain.jsp	(working copy)
@@ -10,16 +10,16 @@
 %>
 <?xml version="1.0" encoding="iso-8859-1"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<%@page import="org.jboss.console.I18n"%>
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -42,15 +42,16 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Constructor Chain for <%=AOPLister.shortenConstructor(classname, constructor)%></font></h4>
+                    <h4 style="text-align: center"><font size="3"><%= I18n.gettext("Constructor Chain for {0}", AOPLister.shortenConstructor(classname, constructor))  //$NON-NLS-1$
+                    %></font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -62,7 +63,7 @@
 <% } %>
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -76,7 +77,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/createThresholdMonitor.jsp
===================================================================
--- console/src/resources/webconsole.war/createThresholdMonitor.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/createThresholdMonitor.jsp	(working copy)
@@ -47,13 +47,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Server Information</title>
+<title>${messages["JBoss Management Console - Server Information"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -63,7 +63,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Create Threshold MBean Monitor</h3>
+			<h3>${messages["Create Threshold MBean Monitor"]}</h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -76,52 +76,52 @@
 <form action="CreateThresholdMonitor" method="post">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>"></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=objectName%>" size="35"></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35"></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>"></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>"></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Comparison Equation</b></td>
+    <td><b>${messages["Comparison Equation"]}</b></td>
     <td><select name="compare" id="compare" size="1">
         <option value="gt" <%=compare.equals("gt") ? "SELECTED" : ""%>>&gt;</option>
         <option value="lt" <%=compare.equals("lt") ? "SELECTED" : ""%>>&lt;</option>
         <option value="eq" <%=compare.equals("eq") ? "SELECTED" : ""%>>=</option>
         </select>
     </td>
-    <td><i>Boolean expression to use when testing threshold hit.</i></td>
+    <td><i>${messages["Boolean expression to use when testing threshold hit."]}</i></td>
 </tr>
 <tr>
-    <td><b>Persisted</b></td>
+    <td><b>${messages["Persisted"]}</b></td>
     <td><input type="checkbox" name="persisted" value="" checked></td>
-    <td><i>Should this monitor be created for next JBoss reboot?</i></td>
+    <td><i>${messages["Should this monitor be created for next JBoss reboot?"]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled."]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    MBeanServer mbeanServer = MBeanServerLocator.locateJBoss();
@@ -149,10 +149,10 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
-<input type="submit" value="Create">
+<input type="submit" value="${messages['Create']}">
 </form>
 		</div>
 		<div class="spacer"><hr/></div>
@@ -163,7 +163,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/SysProperties.jsp
===================================================================
--- console/src/resources/webconsole.war/SysProperties.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/SysProperties.jsp	(working copy)
@@ -2,7 +2,7 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - System Properties</title>
+<title>${messages["JBoss Management Console - System Properties"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
@@ -16,7 +16,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%;">
-			<h3>JBoss&trade; System Properties</h3>
+			<h3>${messages["JBoss&trade; System Properties"]}</h3>
 					<p>&nbsp;</p>
 					
 				<table border="1" cellpadding="1" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="85%" align="center" id="AutoNumber1">
Index: console/src/resources/webconsole.war/listActiveAlarmTable.jsp
===================================================================
--- console/src/resources/webconsole.war/listActiveAlarmTable.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/listActiveAlarmTable.jsp	(working copy)
@@ -28,14 +28,14 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-   <title>JBoss Management Console - Active Alarm Table</title>
+   <title>${messages["JBoss Management Console - Active Alarm Table"]}</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 
 <body>
 <!-- header begin -->
-   <img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+   <img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
    <div id="header">&nbsp;</div>
    <div id="navigation_bar"/>
 <!-- header end -->
@@ -43,7 +43,7 @@
    <center>
    <div id="content">
       <div class="content_block" style="width: 100%; height: 247">
-         <h3>Active Alarm Table</h3>
+         <h3>${messages["Active Alarm Table"]}</h3>
 <%
    MBeanServer server = MBeanServerLocator.locateJBoss();
    ObjectName target = ActiveAlarmTableMBean.OBJECT_NAME;
@@ -55,48 +55,50 @@
    Integer stateChanged = (Integer)stats.get(AlarmHelper.getStateAsString(Alarm.STATE_CHANGED));
    Integer stateCreated = (Integer)stats.get(AlarmHelper.getStateAsString(Alarm.STATE_CREATED));
    Integer stateNone    = (Integer)stats.get(AlarmHelper.getStateAsString(Alarm.STATE_NONE));
+	pageContext.setAttribute("stateNone", stateNone);
    Integer severityNormal   = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_NORMAL));
    Integer severityWarning  = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_WARNING));
    Integer severityMinor    = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_MINOR));
    Integer severityMajor    = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_MAJOR));
    Integer severityCritical = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_CRITICAL));
    Integer severityUnknown  = (Integer)stats.get(AlarmHelper.getSeverityAsString(Alarm.SEVERITY_UNKNOWN));
-   int statefullCount = altab.length - stateNone.intValue();
+   int statefulCount = altab.length - stateNone.intValue();
+	pageContext.setAttribute("statefulCount", new Integer(statefulCount));
 %>
 <p>&nbsp;</p>
 <center>
-   Alarm Count: <%=altab.length%><br>
-   (Stateless: <%=stateNone%>, Statefull: <%=statefullCount%>)<br><br>
+   ${messages["Alarm Count: "]}<%=altab.length%><br>
+   ${messages["(Stateless: {0}, Stateful: {1})"][stateNone][statefulCount]}<br><br>
    <table class="data_table">
    <tr>
-      <th width="50%" align="left">Alarm State</th>
-      <th width="50%" align="left">Alarm Severity</th>
+      <th width="50%" align="left">${messages["Alarm State"]}</th>
+      <th width="50%" align="left">${messages["Alarm Severity"]}</th>
    </tr>
    <tr>
       <td>
-      NONE: <%=stateNone%><br>
-      CREATED: <%=stateCreated%><br>
-      CHANGED: <%=stateChanged%><br>
-      CLEARED: <%=stateCleared%>
+      ${messages["NONE: "]}<%=stateNone%><br>
+      ${messages["CREATED: "]}<%=stateCreated%><br>
+      ${messages["CHANGED: "]}<%=stateChanged%><br>
+      ${messages["CLEARED: "]}<%=stateCleared%>
       </td>
       <td>
-      UNKNOWN: <%=severityUnknown%><br>
-      CRITICAL: <%=severityCritical%><br>
-      MAJOR: <%=severityMajor%><br>
-      MINOR: <%=severityMinor%><br>
-      WARNING: <%=severityWarning%><br>
-      NORMAL: <%=severityNormal%>
+      ${messages["UNKNOWN: "]}<%=severityUnknown%><br>
+      ${messages["CRITICAL: "]}<%=severityCritical%><br>
+      ${messages["MAJOR: "]}<%=severityMajor%><br>
+      ${messages["MINOR: "]}<%=severityMinor%><br>
+      ${messages["WARNING: "]}<%=severityWarning%><br>
+      ${messages["NORMAL: "]}<%=severityNormal%>
       </td>
    </tr>
    </table>
  <form action="listActiveAlarmTable.jsp" method="post" align="middle">
-   <input type="submit" name="action" value="Refresh Table">
+   <input type="submit" name="action" value="${messages['Refresh Table']}">
 </form>
 </center>
 <table class="data_table" cellspacing="2" cellpadding="2" border="1" >
 <tr>
-   <th width="150">AlarmInfo</th>
-   <th>NotificationInfo</th>
+   <th width="150">${messages["AlarmInfo"]}</th>
+   <th>${messages["NotificationInfo"]}</th>
 </tr>
 <%
    for (int i = 0; i < altab.length; i++)
@@ -131,7 +133,7 @@
       ackSystem: <font color="navy"><%=ackSystem%></font>
       <form action="AcknowledgeActiveAlarms" method="post">
          <input type="hidden" name="alarmId" value="<%=alarmId%>">
-         <input type="submit" name="action" value="Ack">
+         <input type="submit" name="action" value="${messages['Ack']}">
       </form>
    </td>
    <td>
@@ -149,13 +151,13 @@
 </table>
 <form action="AcknowledgeActiveAlarms" method="post">
    <input type="hidden" name="alarmId" value="*">
-   <input type="submit" name="action" value="Acknowledge All Alarms">
+   <input type="submit" name="action" value="${messages['Acknowledge All Alarms']}">
 </form>
 <%
 }
 catch (Exception ex)
 {
-   %> ERROR in parsing <%
+   %> ${messages["ERROR in parsing"]} <%
    ex.printStackTrace();
 }
 %>
@@ -167,7 +169,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 <div id="footer">
-   <div id="credits">JBoss&trade; Management Console</div>
+   <div id="credits">${messages["JBoss&trade; Management Console"]}</div>
    <div id="footer_bar">&nbsp;</div>
 </div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/createStringThresholdMonitorSummary.jsp
===================================================================
--- console/src/resources/webconsole.war/createStringThresholdMonitorSummary.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/createStringThresholdMonitorSummary.jsp	(working copy)
@@ -48,13 +48,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Create String Monitor Summary</title>
+<title>${messages["JBoss Management Console - Create String Monitor Summary"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -64,47 +64,47 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>String MBean Monitor Created</h3>
+			<h3>${messages["String MBean Monitor Created"]}</h3>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>" readonly></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=objectName%>" size="35" readonly></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35" readonly></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>" readonly></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>" readonly></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Equality Trigger</b></td>
+    <td><b>${messages["Equality Trigger"]}</b></td>
     <td><input type="checkbox" name="equality" value="" <%=equality%>></td>
-    <td><i>Uncheck this box if you want an alert to trigger when attribute changes from threshold value</i></td>
+    <td><i>${messages["Uncheck this box if you want an alert to trigger when attribute changes from threshold value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled."]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    MBeanServer mbeanServer = MBeanServerLocator.locateJBoss();
@@ -133,7 +133,7 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
 </form>
@@ -146,7 +146,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/manageStringThresholdMonitor.jsp
===================================================================
--- console/src/resources/webconsole.war/manageStringThresholdMonitor.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/manageStringThresholdMonitor.jsp	(working copy)
@@ -47,13 +47,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Manage Monitor</title>
+<title>${messages["JBoss Management Console - Manage Monitor"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -63,7 +63,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3><font color="<%=color%>">Manage String MBean Monitor</font></h3>
+			<h3><font color="<%=color%>">${messages["Manage String MBean Monitor"]}</font></h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -77,62 +77,62 @@
 <input type="hidden" name="monitorObjectName" value="<%=moname.toString()%>">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>" readonly></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Monitor's Object Name</b></td>
+    <td><b>${messages["Monitor\'s Object Name"]}</b></td>
     <td><input type="text" name="monitorObjectName" size="35" value="<%=monitorObjectName%>" readonly></td>
-    <td><i>The MBean javax.management.ObjectName</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=observedObject.toString()%>" size="35" readonly></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35" readonly></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <%
    if (alerted)
    {
 %>
 <tr>
-    <td><font color="red"><b>Triggered Value</b></font></td>
+    <td><font color="red"><b>${messages["Triggered Value"]}</b></font></td>
     <td><input type="text" name="trigger" value="<%=triggeredValue.toString()%>" size="35" readonly></td>
-    <td><i>The attribute value the triggered the threshold.</i></td>
+    <td><i>${messages["The attribute value the triggered the threshold."]}</i></td>
 </tr>
 <% } %>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>"></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>"></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Persist Changes</b></td>
+    <td><b>${messages["Persist Changes"]}</b></td>
     <td><input type="checkbox" name="persisted" value="" checked></td>
-    <td><i>Should changes be reflected in deployment file.</i></td>
+    <td><i>${messages["Should changes be reflected in deployment file."]}</i></td>
 </tr>
 <tr>
-    <td><b>Equality Trigger</b></td>
+    <td><b>${messages["Equality Trigger"]}</b></td>
     <td><input type="checkbox" name="equality" value="" <%=equality ? "checked" : ""%>></td>
-    <td><i>Uncheck this box if you want an alert to trigger when attribute changes from threshold value</i></td>
+    <td><i>${messages["Uncheck this box if you want an alert to trigger when attribute changes from threshold value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled ? "checked" : ""%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled."]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    InstanceOfQueryExp queryExp = null;
@@ -160,16 +160,16 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
-<input type="submit" name="action" value="Update Monitor">
-<input type="submit" name="action" value="Remove Monitor">
+<input type="submit" name="action" value="${messages['Update Monitor']}">
+<input type="submit" name="action" value="${messages['Remove Monitor']}">
 <%
    if (alerted)
    {
 %>
-<input type="submit" name="action" value="Clear Alert">
+<input type="submit" name="action" value="${messages['Clear Alert']}">
 <%
    }
 %>
@@ -178,7 +178,7 @@
 }
 catch (Exception ex)
 {
-   %> ERROR in parsing <%
+   %> ${messages["ERROR in parsing"]} <%
    ex.printStackTrace();
 }
 %>
@@ -191,7 +191,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/TopicSubscriptions.jsp
===================================================================
--- console/src/resources/webconsole.war/TopicSubscriptions.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/TopicSubscriptions.jsp	(working copy)
@@ -4,11 +4,12 @@
 				java.util.*,
 				java.text.DateFormat"
 %>
+<%@page import="org.jboss.console.I18n"%>
 <%@ taglib uri="/webconsole" prefix="jb" %>
 <jb:mbean id="topic" intf="org.jboss.mq.server.jmx.TopicMBean"/>
 <% 	
-	String objParameter = "&ObjectName=" + URLEncoder.encode(request.getParameter("ObjectName"));
-	String myUrl = response.encodeURL(request.getRequestURI()) + "?" + objParameter;		
+	String objParameter = "&ObjectName=" + URLEncoder.encode(request.getParameter("ObjectName")); //$NON-NLS-1$ //$NON-NLS-2$
+	String myUrl = response.encodeURL(request.getRequestURI()) + "?" + objParameter;	 //$NON-NLS-1$	
 	
 	MessageCounter[] counter = topic.getMessageCounter();
 	DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.MEDIUM);
@@ -18,13 +19,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - JMS Topic</title>
+<title>${messages["JBoss Management Console - JMS Topic"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -39,36 +40,36 @@
 		<tr align="center" valign="bottom">
 			<td height="24">	
 				<jsp:include page="TopicNavigation.jsp" >
-					<jsp:param name="selectedTabName" value="Subscriptions"/>
+					<jsp:param name="selectedTabName" value="${messages['Subscriptions']}"/>
 				</jsp:include>
 			</td>
 		</tr>
 		<tr>
 		  <td colspan="5" valign="top" class="container">			
-			<h4>Name</h4>
+			<h4>${messages["Name"]}</h4>
 				<p><%=topic.getTopicName()%></p>																			
-			<h4>Subscriptions:</h4>
+			<h4>${messages["Subscriptions:"]}</h4>
 			<table border="1" cellpadding="0" cellspacing="0" class="data_table" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td>
-                    <h4>Subscription Name:</h4>
+                    <h4>${messages["Subscription Name:"]}</h4>
                     </td>      
                     <td>
-                    <h4>Durable:</h4>
+                    <h4>${messages["Durable:"]}</h4>
                     </td>                                     
                     <td>
-                    <h4>Message Count:</h4>
+                    <h4>${messages["Message Count:"]}</h4>
                     </td>                    
                     <td>
-                    <h4>Message Count Delta:</h4>
+                    <h4>${messages["Message Count Delta:"]}</h4>
                     </td>         
                     <td>
-                    <h4>Last Message Add Date:</h4>
+                    <h4>${messages["Last Message Add Date:"]}</h4>
                     </td>           
                   </tr>	
 <% for(int i = 0; i < counter.length; i++)
 {    
-	String lastModified = "N/A";
+	String lastModified = I18n.gettext("N/A"); //$NON-NLS-1$
 	if (counter[i].getLastUpdate() > 0)
 	{		
 		lastModified = dateFormat.format(new Date(counter[i].getLastUpdate()));
@@ -83,7 +84,7 @@
                   </tr>
 <%}%>
             </table>                    
-            <p align="center"><a href="<%=myUrl%>">Refresh</a></p>            					
+            <p align="center"><a href="<%=myUrl%>">${messages["Refresh"]}</a></p>            					
             <p>&nbsp;</p>
 			<p>&nbsp;</p>									              		
 		  </td>
@@ -100,7 +101,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPClassMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPClassMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPClassMetaData.jsp	(working copy)
@@ -10,14 +10,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar"> 
@@ -33,6 +32,6 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Metadata for class <%= classname %></h3>
+			<h3>${messages["Metadata for class {0}"][param.classname]}</h3>
 	    <p>&nbsp;</p>
 <%@ include file="AOPMetaData.jsp" %>
